For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
      • POSTEndpoint to batch create external files without uploading.
      • GETReturns all files of the projecttemplate with the specified id.
      • POSTCreates a new projecttemplate file for the projecttemplate with the specified id..
      • DELDeletes the files of the specified projecttemplate.
      • POSTUploads a new file by providing an url.
      • GETReturns the file with the specified id of the projecttemplate with the specified id.
      • PUTUpdates the metadata of the projecttemplate file with the specified id.
      • DELDeletes the projecttemplate file with the specified id.
      • POSTChanges the projecttemplate this file belongs to.
      • POSTCopies the file to a new projecttemplate.
      • GETReturns the content of the file with the specified id as pdf. type or conversion not possible.
      • GETReturns an url to share the file.
      • GETReturns all file versions of the specified projecttemplate file.
      • POSTUploads a new version of the projecttemplate file with the specified id.
      • GETReturns the projecttemplate file version with the specified id.
      • GETReturns the content of the projecttemplate file version with the specified id.
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Template Files

Returns an url to share the file.

GET
https://api.awork.com/api/v1/projecttemplates/:projecttemplateId/files/:fileId/shareurl
GET
/api/v1/projecttemplates/:projecttemplateId/files/:fileId/shareurl
$curl https://api.awork.com/api/v1/projecttemplates/projecttemplateId/files/fileId/shareurl \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json"
200Retrieved
1"https://api.awork.com/share/projecttemplate/3fa85f64-5717-4562-b3fc-2c963f66afa6/file/7c9e6679-7425-40de-944b-e07fc1f90ae7"
Returns a url to share the file. <Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Returns all file versions of the specified projecttemplate file.

Next
Built with

Returns a url to share the file.

Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projecttemplateIdstringRequiredformat: "uuid"
The id of the projecttemplate.
fileIdstringRequiredformat: "uuid"
The id of the file.

Response

OK